unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, Borland.Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.nfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
if Button1.Parent=Form1
  then Button1.Parent:=Form2
  else Button1.Parent:=Form1;
end;

end.
